theory:
  classy_szfast.classy_sz.classy_sz:
    use_class_sz_fast_mode: 1
    use_class_sz_no_cosmo_mode: 0
    lensing_lkl: ACT
    path: null
    speed: 0.2
    stop_at_error: true
    extra_args:
      modes: s,t
      output: tCl,lCl,pCl
      skip_background_and_thermo: 0
      skip_pkl: 1
      skip_pknl: 1
      skip_chi: 0
      skip_hubble: 0
      skip_sigma8_and_der: 0
      skip_sigma8_at_z: 1
      k_pivot: 0.05
      N_ncdm: 3
      cosmo_model: 5
      N_ur: 0.00641
      class_sz_verbose: 0
    ignore_obsolete: false
    use_renames: false
    renames:
      As: A_s
      ns: n_s
      nrun: alpha_s
      nrunrun: beta_s
      nt: n_t
      ntrun: alpha_t
      rdrag: rs_drag
      omegak: Omega_k
      omegal: Omega_Lambda
      w: w0_fld
      wa: wa_fld
      omegabh2: omega_b
      omegab: Omega_b
      omegach2: omega_cdm
      omegac: Omega_cdm
      omegam: Omega_m
      omegan: Omega_nu
      tau: tau_reio
      zrei: z_reio
      deltazrei: reionization_width
      helium_redshift: helium_fullreio_redshift
      helium_delta_redshift: helium_fullreio_width
      yhe: YHe
      yheused: YHe
    version: v2.9.4
    input_params:
    - logA
    - n_s
    - m_ncdm
    - omega_b
    - omega_cdm
    - H0
    - tau_reio
    output_params:
    - As
    - sigma8
    - YHe
    - age
    - omegam
    - rdrag
    - zrei
likelihood:
  planck_2018_lowl.EE_sroll2:
    type: CMB
    aliases:
    - lowE
    speed: -1
    stop_at_error: false
    version: null
    input_params:
    - A_planck
    output_params: []
  planck_NPIPE_highl_CamSpec.TTTEEE:
    path: null
    dataset_file: CamSpec_NPIPE/CamSpec_NPIPE_12_6_cl.dataset
    dataset_params:
      use_cl: 143x143 217x217 143x217 TE EE
    aliases:
    - CamSpec_NPIPE_TTTEEE
    speed: 10
    type: CMB
    stop_at_error: false
    version: null
    input_params:
    - A_planck
    - use_fg_residual_model
    - cal0
    - cal2
    - amp_100
    - amp_143
    - amp_217
    - amp_143x217
    - n_100
    - n_143
    - n_217
    - n_143x217
    - calTE
    - calEE
    output_params: []
  planck_2018_lowl.TT:
    lmin: 2
    lmax: 29
    type: CMB
    aliases:
    - lowT
    speed: -1
    stop_at_error: false
    version: null
    input_params:
    - A_planck
    output_params: []
  bao.desi_dr2.desi_bao_all:
    path: null
    measurements_file: bao_data/desi_bao_dr2/desi_gaussian_bao_ALL_GCcomb_mean.txt
    cov_file: bao_data/desi_bao_dr2/desi_gaussian_bao_ALL_GCcomb_cov.txt
    rs_fid: 1
    aliases:
    - BAO
    speed: 2000
    type: BAO
    rs_rescale: null
    prob_dist: null
    invcov_file: null
    redshift: null
    observable_1: null
    observable_2: null
    observable_3: null
    grid_file: null
    stop_at_error: false
    version: null
    input_params: []
    output_params: []
  act_dr6_spt_lenslike.ACTDR6LensLike:
    lmax: 4000
    mock: false
    nsims_act: 792.0
    nsims_planck: 400.0
    no_like_corrections: false
    no_actlike_cmb_corrections: false
    lens_only: false
    trim_lmax: 2998
    variant: actplanckspt3g_extended
    indep: false
    apply_hartlap: true
    limber: false
    nz: 100
    kmax: 10
    zmax: null
    scale_cov: null
    varying_cmb_alens: false
    version: null
    act_cmb_rescale: false
    act_calib: false
    spt_start: 0
    spt_end: null
    type: []
    speed: -1
    stop_at_error: true
    input_params: []
    output_params: []
params:
  A:
    derived: 'lambda As: 1e9*As'
    latex: 10^9 A_\mathrm{s}
  logA:
    latex: ln10^{10}A_s
    prior:
      max: 3.91
      min: 1.61
    proposal: 0.0057157301
    ref:
      dist: norm
      loc: 3.0399197
      scale: 0.00057157301
  As:
    derived: true
    latex: A_\mathrm{s}
    renames:
    - A_s
  n_s:
    latex: n_\mathrm{s}
    prior:
      max: 1.2
      min: 0.8
    proposal: 0.0036489716
    ref:
      dist: norm
      loc: 0.96516058
      scale: 0.00036489716
    renames:
    - ns
  s8h5:
    derived: 'lambda sigma8, H0: sigma8*(H0*1e-2)**(-0.5)'
    latex: \sigma_8/h^{0.5}
  s8omegamp25:
    derived: 'lambda sigma8, omegam: sigma8*omegam**0.25'
    latex: \sigma_8 \Omega_\mathrm{m}^{0.25}
  s8omegamp5:
    derived: 'lambda sigma8, omegam: sigma8*omegam**0.5'
    latex: \sigma_8 \Omega_\mathrm{m}^{0.5}
  S825:
    derived: 'lambda sigma8, omegam: sigma8*(omegam/0.3)**0.25'
    latex: \sigma_8 (\Omega_\mathrm{m}/0.3)^{0.25}
  S85:
    derived: 'lambda sigma8, omegam: sigma8*(omegam/0.3)**0.5'
    latex: \sigma_8 (\Omega_\mathrm{m}/0.3)^{0.5}
  sigma8:
    latex: \sigma_8
    derived: true
  YHe:
    latex: Y_\mathrm{P}
    derived: true
    renames:
    - yheused
    - yhe
  age:
    latex: '{\rm{Age}}/\mathrm{Gyr}'
    derived: true
  m_ncdm:
    latex: m_\nu~ \mathrm{[eV]}
    prior:
      max: 5.0
      min: 0.0
    proposal: 0.010799122
    ref:
      dist: norm
      loc: 0.0033656956
      scale: 0.0010799122
  omega_b:
    latex: \Omega_\mathrm{b} h^2
    prior:
      max: 0.1
      min: 0.005
    proposal: 0.00014256461
    ref:
      dist: norm
      loc: 0.022210292
      scale: 1.4256461e-05
    renames:
    - omegabh2
  omega_cdm:
    latex: \Omega_\mathrm{c} h^2
    prior:
      max: 0.99
      min: 0.001
    proposal: 0.0008394429
    ref:
      dist: norm
      loc: 0.11885355
      scale: 8.394429e-05
    renames:
    - omegach2
  omegam:
    latex: \Omega_\mathrm{m}
    derived: true
    renames:
    - Omega_m
  omegamh2:
    derived: 'lambda omegam, H0: omegam*(H0/100)**2'
    latex: \Omega_\mathrm{m} h^2
  rdrag:
    latex: r_\mathrm{drag}
    derived: true
    renames:
    - rs_drag
  zrei:
    latex: z_\mathrm{re}
    derived: true
    renames:
    - z_reio
  H0:
    latex: H_0
    prior:
      max: 100.0
      min: 20.0
    proposal: 0.42008278
    ref:
      dist: norm
      loc: 68.10485
      scale: 0.042008278
  tau_reio:
    latex: \tau
    prior:
      max: 0.8
      min: 0.01
    proposal: 0.01
    ref:
      dist: norm
      loc: 0.05
      scale: 0.01
    renames:
    - tau
  A_planck:
    prior:
      dist: norm
      loc: 1
      scale: 0.0025
    ref:
      dist: norm
      loc: 1
      scale: 0.002
    proposal: 0.0005
    latex: y_\mathrm{cal}
    renames: calPlanck
  use_fg_residual_model:
    value: 0
  cal0:
    value: 1
  cal2:
    value: 1
  amp_100:
    value: 0
  amp_143:
    prior:
      dist: uniform
      min: 0
      max: 50
    ref:
      dist: norm
      loc: 10
      scale: 1
    latex: A^{\rm power}_{143}
    proposal: 1
  amp_217:
    prior:
      dist: uniform
      min: 0
      max: 50
    ref:
      dist: norm
      loc: 20
      scale: 1
    latex: A^{\rm power}_{217}
    proposal: 1
  amp_143x217:
    prior:
      dist: uniform
      min: 0
      max: 50
    ref:
      dist: norm
      loc: 10
      scale: 1
    latex: A^{\rm power}_{143\times217}
    proposal: 1
  n_100:
    value: 1
  n_143:
    prior:
      dist: uniform
      min: 0
      max: 5
    ref:
      dist: norm
      loc: 1
      scale: 0.2
    latex: \gamma^{\rm power}_{143}
    proposal: 0.2
  n_217:
    prior:
      dist: uniform
      min: 0
      max: 5
    ref:
      dist: norm
      loc: 1
      scale: 0.2
    latex: \gamma^{\rm power}_{217}
    proposal: 0.2
  n_143x217:
    prior:
      dist: uniform
      min: 0
      max: 5
    ref:
      dist: norm
      loc: 1
      scale: 0.2
    latex: \gamma^{\rm power}_{143\times217}
    proposal: 0.2
  calTE:
    prior:
      dist: norm
      loc: 1
      scale: 0.01
    ref:
      dist: norm
      loc: 1
      scale: 0.01
    proposal: 0.01
    latex: c_{TE}
  calEE:
    prior:
      dist: norm
      loc: 1
      scale: 0.01
    ref:
      dist: norm
      loc: 1
      scale: 0.01
    proposal: 0.01
    latex: c_{EE}
  chi2__BAO:
    latex: \chi^2_\mathrm{BAO}
    derived: true
  chi2__CMB:
    latex: \chi^2_\mathrm{CMB}
    derived: true
sampler:
  mcmc:
    burn_in: 50
    max_tries: 10000
    covmat: /home/r/rbond/jiaqu/ACTxDESI33/mcmc/likelihood/chains/trifecta_extended_mnu.covmat
    covmat_params: null
    proposal_scale: 1.9
    output_every: 60s
    learn_every: 40d
    temperature: 1
    learn_proposal: true
    learn_proposal_Rminus1_max: 2.0
    learn_proposal_Rminus1_max_early: 1000.0
    learn_proposal_Rminus1_min: 0.0
    max_samples: .inf
    Rminus1_stop: 0.01
    Rminus1_cl_stop: 0.2
    Rminus1_cl_level: 0.95
    Rminus1_single_split: 4
    measure_speeds: true
    oversample_power: 0.4
    oversample_thin: true
    drag: false
    blocking:
    - - 1
      - - logA
        - n_s
        - m_ncdm
        - omega_b
        - omega_cdm
        - H0
        - tau_reio
    - - 2
      - - A_planck
    - - 2
      - - amp_143
        - amp_217
        - amp_143x217
        - n_143
        - n_217
        - n_143x217
        - calTE
        - calEE
    callback_function: null
    callback_every: null
    seed: null
    check_every: null
    oversample: null
    drag_limits: null
    fallback_covmat_scale: 4
    version: 3.5.6
output: trifecta_extended_mnu_official_DESI
version: 3.5.6
timing: true
